#ifndef SCOREBOARD_H
#define SCOREBOARD_H

#include <string>
using namespace std;

#include "Visual.h"
#include "Game.h"

typedef struct{
	int value;
	string name;
} scoretype;

class ScoreBoard {
public: 
	ScoreBoard();
	~ScoreBoard();
	int IsHigh(int);
	void NewScore(int newscore,char* newname);
	scoretype score[6];
	void Print();
	void Display(Visual* visual);
	void Load(char* filename);
	void Dump(char* filename);
};


#endif
